Scilab Function
Last update : 16/06/2004

exists - teste l'existence d'une variable

### Calling Sequence

  `exists(name [,where])`

### Parameters

- `name` : chaîne de caractères
- `where` : une chaîne de caractères optionnelle valant par défaut `'all'`

### Description

`exists(name)` renvoie `1` si la variable nommée `name` existe et `0` sinon.

Mise en garde : une fonction utilisant `exists` peut renvoyer un résultat dépendant de l'environnement courant !

`exists(name,'local')` renvoie `1` si la variable nommée `name` existe dans l'environnement de la fonction courante et `0` sinon.

### Examples

    deff('foo(x)',..
    ['disp([exists(''a12''),exists(''a12'',''local'')])'
     'disp([exists(''x''),exists(''x'',''local'')])'])
    foo(1)
    a12=[];foo(1)

### See Also

`isdef`, `whereis`, `type`, `typeof`, `macrovar`,